# Repzo API - Asset Type

OpenAPI specification for Repzo Asset Type endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/asset-type`

#### GET /asset-type

**Summary:** Find asset types

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering asset types |

##### Responses

**200** - A list of asset types

Content-Type: `application/json`

---

#### POST /asset-type

**Summary:** Create an asset type

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Asset type created

Content-Type: `application/json`

---

### `/asset-type/{id}`

#### GET /asset-type/{id}

**Summary:** Get an asset type by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Asset type details

Content-Type: `application/json`

---

#### PUT /asset-type/{id}

**Summary:** Update an asset type

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Asset type updated

Content-Type: `application/json`

---

#### DELETE /asset-type/{id}

**Summary:** Remove an asset type

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Asset type removed

Content-Type: `application/json`

---

## Data Models

### AssetTypeFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### AssetTypeCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `description` | string | No | No description |

| `category` | string | No | No description |

| `fields` | array | No | No description |

| `disabled` | boolean | No | No description |

### AssetTypeCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### AssetTypeGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### AssetTypeUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `description` | string | No | No description |

| `category` | string | No | No description |

| `fields` | array | No | No description |

| `disabled` | boolean | No | No description |

### AssetTypeUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### AssetTypeRemoveResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `success` | boolean | No | No description |

### AssetType

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `name` | string | No | No description |

| `description` | string | No | No description |

| `category` | string | No | No description |

| `fields` | array | No | No description |

| `disabled` | boolean | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [asset-type-examples.md](./asset-type-examples.md) for detailed TypeScript usage examples.
